import { j as s } from "./index.es49.js";
import * as t from "react";
import { ChevronLeftIcon as c, ChevronRightIcon as m, DotsHorizontalIcon as p } from "@radix-ui/react-icons";
import { cn as e } from "./index.es48.js";
import { buttonVariants as x } from "./index.es8.js";
const u = ({ className: n, ...a }) => /* @__PURE__ */ s.jsx(
  "nav",
  {
    role: "navigation",
    "aria-label": "pagination",
    className: e("mx-auto flex w-full justify-center", n),
    ...a
  }
), g = t.forwardRef(({ className: n, ...a }, i) => /* @__PURE__ */ s.jsx(
  "ul",
  {
    ref: i,
    className: e("flex flex-row items-center gap-1", n),
    ...a
  }
));
g.displayName = "PaginationContent";
const r = t.forwardRef(({ className: n, ...a }, i) => /* @__PURE__ */ s.jsx("li", { ref: i, className: e("", n), ...a }));
r.displayName = "PaginationItem";
const o = ({
  className: n,
  isActive: a,
  size: i = "icon",
  ...l
}) => /* @__PURE__ */ s.jsx(r, { children: /* @__PURE__ */ s.jsx(
  "a",
  {
    "aria-current": a ? "page" : void 0,
    className: e(
      x({
        variant: a ? "outline" : "ghost",
        size: i
      }),
      n
    ),
    ...l
  }
) });
o.displayName = "PaginationLink";
const f = ({
  className: n,
  ...a
}) => /* @__PURE__ */ s.jsxs(
  o,
  {
    "aria-label": "Go to previous page",
    size: "default",
    className: e("gap-1 pl-2.5", n),
    ...a,
    children: [
      /* @__PURE__ */ s.jsx(c, { className: "h-4 w-4" }),
      /* @__PURE__ */ s.jsx("span", { children: "Previous" })
    ]
  }
);
f.displayName = "PaginationPrevious";
const P = ({
  className: n,
  ...a
}) => /* @__PURE__ */ s.jsxs(
  o,
  {
    "aria-label": "Go to next page",
    size: "default",
    className: e("gap-1 pr-2.5", n),
    ...a,
    children: [
      /* @__PURE__ */ s.jsx("span", { children: "Next" }),
      /* @__PURE__ */ s.jsx(m, { className: "h-4 w-4" })
    ]
  }
), v = ({
  className: n,
  ...a
}) => /* @__PURE__ */ s.jsxs(
  "span",
  {
    "aria-hidden": !0,
    className: e("flex h-9 w-9 items-center justify-center", n),
    ...a,
    children: [
      /* @__PURE__ */ s.jsx(p, { className: "h-4 w-4" }),
      /* @__PURE__ */ s.jsx("span", { className: "sr-only", children: "More pages" })
    ]
  }
);
export {
  u as Pagination,
  g as PaginationContent,
  v as PaginationEllipsis,
  r as PaginationItem,
  o as PaginationLink,
  P as PaginationNext,
  f as PaginationPrevious
};
//# sourceMappingURL=index.es25.js.map
